# Delete a webhook endpoint

> Stops and removes the endpoint and its delivery history.

`DELETE /v1/webhook-endpoints/{endpointId}`

Stops and removes the endpoint and its delivery history. The events themselves stay in GET /events for 30 days.

**Permissions:** any valid key · **Kind:** write · **Cost:** 1 unit

Cannot be undone.

## Path parameters

| Field | Type | Required | Description |
|---|---|---|---|
| `endpointId` | uuid | yes |  |

## Query parameters

_None._

## Response `200`

| Field | Type | Required | Description |
|---|---|---|---|
| `object` | "webhook_endpoint" | yes |  |
| `id` | uuid | yes |  |
| `deleted` | true | yes |  |

## Errors

Errors are [problem details](https://api.bymundi.com/docs/guides/errors.md). Besides the refusals described above, any call like this one can return:

- [`invalid_request`](https://api.bymundi.com/problems/invalid_request.md) — Invalid request
- [`unauthorized`](https://api.bymundi.com/problems/unauthorized.md) — Missing or invalid API key
- [`insufficient_scope`](https://api.bymundi.com/problems/insufficient_scope.md) — Missing permission
- [`rate_limited`](https://api.bymundi.com/problems/rate_limited.md) — Rate limit reached
- [`not_found`](https://api.bymundi.com/problems/not_found.md) — Not found
- [`idempotency_key_reused`](https://api.bymundi.com/problems/idempotency_key_reused.md) — Idempotency-Key reused
- [`request_in_progress`](https://api.bymundi.com/problems/request_in_progress.md) — Request in progress
- [`forbidden`](https://api.bymundi.com/problems/forbidden.md) — Not allowed

## Examples

#### curl

```bash
curl -X DELETE https://api.bymundi.com/v1/webhook-endpoints/$ENDPOINT_ID \
  -H "Authorization: Bearer $BYMUNDI_KEY" \
  -H "Idempotency-Key: $(uuidgen)"
```

#### JavaScript

```javascript
const res = await fetch(`https://api.bymundi.com/v1/webhook-endpoints/${endpointId}`, {
  method: "DELETE",
  headers: {
    Authorization: `Bearer ${process.env.BYMUNDI_KEY}`,
    "Idempotency-Key": crypto.randomUUID(),
  },
});
if (!res.ok) throw new Error((await res.json()).detail);
const data = await res.json();
```

#### Python

```python
import os, uuid, requests

res = requests.delete(
    f"https://api.bymundi.com/v1/webhook-endpoints/{endpointId}",
    headers={"Authorization": f"Bearer {os.environ['BYMUNDI_KEY']}", "Idempotency-Key": str(uuid.uuid4())},
)
res.raise_for_status()
data = res.json()
```
